#ifndef IF_STANDBY_H
#define IF_STANDBY_H

#include "esp_system.h"
#include "freertos/FreeRTOS.h"
#include "freertos/task.h"
#include "freertos/queue.h"

#include "lvgl.h"

#define IF_STANDBY_PAYLOAD_LENGTH 16

typedef enum {
    IF_STANDBY_ITEM_WIFI,
    IF_STANDBY_ITEM_WEEKDAY,
    IF_STANDBY_ITEM_DATE,
    IF_STANDBY_ITEM_BAT,
    IF_STANDBY_ITEM_TIME,
    IF_STANDBY_ITEM_TEMP,
    IF_STANDBY_ITEM_HUMID,
} if_standby_item_t ;

typedef struct {
    if_standby_item_t item;
    char payload[IF_STANDBY_PAYLOAD_LENGTH];
} if_standby_queue_t;

extern lv_obj_t *g_standby_screen;
extern QueueHandle_t g_standby_screen_queue;

esp_err_t if_standby_init(void);

#endif